QML Accounts API changed without version number change

Bug #1404272 reported by Stuart Langridge on 2014-12-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
accounts-qml-module
High
Alberto Mardegan
accounts-qml-module (Ubuntu)
Undecided
Unassigned

Bug Description

http://developer.ubuntu.com/api/qml/sdk-1.0/Ubuntu.OnlineAccounts.AccountServiceModel/ and http://developer.ubuntu.com/api/qml/sdk-14.10/Ubuntu.OnlineAccounts.AccountServiceModel/ have different API (in particular, the applicationId property), but the same version number. This means that a 14.04 user will find apps importing OnlineAccounts 0.1 (which they have) but it not working because they don't have the up-to-date version... which still has the version number 0.1. The version number should have been bumped, because preventing this problem is what version numbers are *for*.

Alberto Mardegan (mardy) on 2014-12-19
Changed in accounts-qml-module:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Alberto Mardegan (mardy)
Changed in accounts-qml-module (Ubuntu):
status: New → Confirmed
Alberto Mardegan (mardy) wrote :

This should be better backported to Utopic too, once fixed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers